package com.zd.base.job.task;

import com.zd.base.job.domain.SysJob;
import com.zd.base.job.service.ISysJobService;
import com.zd.common.core.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度测试
 *
 * @author zd
 */
@Component("ryTask")
public class RyTask {
    @Autowired
    private ISysJobService jobService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        SysJob job = new SysJob();
        jobService.selectJobList(job);
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        System.out.println("执行无参方法");
    }
}
